# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
# Description: The 'mozclient' module of mozilla-devscripts
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#####################################################################

# Don't include this file directly, include one of the project.mk
# file instead, which will include this file for you.

MOZDEVSCRIPT_DIR = /usr/share/mozilla-devscripts/mozclient

ifeq (mozclient,$(MOZDEVSCRIPT_DIR))
  ARGS += -c $(MOZDEVSCRIPT_DIR)
endif

ifdef DEBIAN_TAG
  ARGS += -t $(DEBIAN_TAG)
endif

ifdef DEBIAN_DATE
  ARGS += -d $(DEBIAN_DATE)
endif

ifdef DEBIAN_BRANCH
  ARGS += -b $(DEBIAN_BRANCH)
endif

ifdef DEBIAN_KEEP_VCS
  ARGS += -p
endif

ifdef MOZCLIENT_EMBEDDED
  ARGS += -e
endif

ifdef MOZ_CO_MODULE
  # MOZ_CO_MODULE is a list of comma separated paths (no spaces)
  ARGS += -m $(MOZ_CO_MODULE)
endif

ifdef MOZCLIENT_PROJECTDIR
  ARGS += -c $(MOZCLIENT_PROJECTDIR)
endif

ifdef LOCAL_BRANCH
  ARGS += -L $(LOCAL_BRANCH)
endif

ifeq (,$(MOZCLIENT_PROJECTNAME))
$(error You must specify MOZCLIENT_PROJECTNAME)
endif

list-tags:
	perl $(MOZDEVSCRIPT_DIR)/mozclient.pl $(ARGS) -l $(MOZCLIENT_PROJECTNAME)

get-orig-source:
	perl $(MOZDEVSCRIPT_DIR)/mozclient.pl $(ARGS) $(MOZCLIENT_PROJECTNAME)

mozclient-version:
	perl $(MOZDEVSCRIPT_DIR)/mozclient.pl $(ARGS) -V $(MOZCLIENT_PROJECTNAME)

.PHONY: get-orig-source list-tags mozclient-version
